Bug 167495 - Crash Fails To Run With A Kernel Mismatch When Using 2.6.12-1.1398_FC4 & Its Associated Debuginfo Package...
Crash Fails To Run With A Kernel Mismatch When Using 2.6.12-1.1398_FC4 & Its ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: crash (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Anderson
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-03 04:33 EDT by Ken Robson
Modified: 2008-05-06 11:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:31:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ken Robson 2005-09-03 04:33:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.7.10) Gecko/20050717 Firefox/1.0.6

Description of problem:
Details
=======
[root@fed1tst1 ~]# uname -a
Linux fed1tst1.odtv.com 2.6.12-1.1398_FC4 #1 Fri Jul 15 00:52:32 EDT 2005 i686 athlon i386 GNU/Linux
[root@fed1tst1 ~]# rpm -q kernel kernel-debuginfo
kernel-2.6.11-1.1369_FC4
kernel-2.6.12-1.1398_FC4
kernel-debuginfo-2.6.12-1.1398_FC4
[root@fed1tst1 ~]# crash -s
WARNING: invalid linux_banner pointer: 756e694c
crash: /usr/lib/debug/lib/modules/2.6.12-1.1398_FC4/vmlinux and /dev/crash do not match!

Usage:
  crash [-h [opt]][-v][-s][-i file][-d num] [-S] [mapfile] [namelist] [dumpfile]

Enter "crash -h" for details

Detailed Crash Output
=====================
[root@fed1tst1 ~]# crash -s -d 1

find_booted_kernel: search for [Linux version 2.6.12-1.1398_FC4 (bhcompile@tweety.build.redhat.com) (gcc version 4.0.0 20050519 (Red Hat 4.0.0-8)) #1 Fri Jul 15 00:52:32 EDT 2005
]
searchdirs[9]: /usr/lib/debug/lib/modules/2.6.12-1.1398_FC4/
searchdirs[0]: /usr/src/linux/
searchdirs[1]: /boot/
searchdirs[2]: /boot/efi/redhat
searchdirs[3]: /boot/efi/EFI/redhat
searchdirs[4]: /
searchdirs[5]: /usr/src/kernels/
searchdirs[6]: /usr/src/debug/
searchdirs[7]: /usr/src/redhat/BUILD/kernel-2.6.12/linux/
searchdirs[8]: /usr/src/redhat/BUILD/kernel-2.6.12/linux-2.6.12/
find_booted_kernel: check: /usr/lib/debug/lib/modules/2.6.12-1.1398_FC4/vmlinux
find_booted_kernel: found: /usr/lib/debug/lib/modules/2.6.12-1.1398_FC4/vmlinux
get_live_memory_source: /dev/crash
/sbin/modprobe crash
"crash" module loaded: [crash][3137][0]
/proc/misc: 62 crash => 10/62
/proc/version:
Linux version 2.6.12-1.1398_FC4 (bhcompile@tweety.build.redhat.com) (gcc version 4.0.0 20050519 (Red Hat 4.0.0-8)) #1 Fri Jul 15 00:52:32 EDT 2005
/usr/lib/debug/lib/modules/2.6.12-1.1398_FC4/vmlinux:
Linux version 2.6.12-1.1398_FC4 (bhcompile@tweety.build.redhat.com) (gcc version 4.0.0 20050519 (Red Hat 4.0.0-8)) #1 Fri Jul 15 00:52:32 EDT 2005
WARNING: invalid linux_banner pointer: 756e694c
crash: invalid kernel virtual address: 756e694c  type: "accessible check"
crash: /usr/lib/debug/lib/modules/2.6.12-1.1398_FC4/vmlinux and /dev/crash do not match!

Usage:
  crash [-h [opt]][-v][-s][-i file][-d num] [-S] [mapfile] [namelist] [dumpfile]

Enter "crash -h" for details.
"crash" module loaded: [crash][3137][0]
/sbin/rmmod crash
[root@fed1tst1 ~]#


Version-Release number of selected component (if applicable):
crash-3.10-13

How reproducible:
Always

Steps to Reproduce:
1.run crash -s
  

Actual Results:  [root@fed1tst1 ~]# crash -s -d 1

find_booted_kernel: search for [Linux version 2.6.12-1.1398_FC4 (bhcompile@tweety.build.redhat.com) (gcc version 4.0.0 20050519 (Red Hat 4.0.0-8)) #1 Fri Jul 15 00:52:32 EDT 2005
]
searchdirs[9]: /usr/lib/debug/lib/modules/2.6.12-1.1398_FC4/
searchdirs[0]: /usr/src/linux/
searchdirs[1]: /boot/
searchdirs[2]: /boot/efi/redhat
searchdirs[3]: /boot/efi/EFI/redhat
searchdirs[4]: /
searchdirs[5]: /usr/src/kernels/
searchdirs[6]: /usr/src/debug/
searchdirs[7]: /usr/src/redhat/BUILD/kernel-2.6.12/linux/
searchdirs[8]: /usr/src/redhat/BUILD/kernel-2.6.12/linux-2.6.12/
find_booted_kernel: check: /usr/lib/debug/lib/modules/2.6.12-1.1398_FC4/vmlinux
find_booted_kernel: found: /usr/lib/debug/lib/modules/2.6.12-1.1398_FC4/vmlinux
get_live_memory_source: /dev/crash
/sbin/modprobe crash
"crash" module loaded: [crash][3137][0]
/proc/misc: 62 crash => 10/62
/proc/version:
Linux version 2.6.12-1.1398_FC4 (bhcompile@tweety.build.redhat.com) (gcc version 4.0.0 20050519 (Red Hat 4.0.0-8)) #1 Fri Jul 15 00:52:32 EDT 2005
/usr/lib/debug/lib/modules/2.6.12-1.1398_FC4/vmlinux:
Linux version 2.6.12-1.1398_FC4 (bhcompile@tweety.build.redhat.com) (gcc version 4.0.0 20050519 (Red Hat 4.0.0-8)) #1 Fri Jul 15 00:52:32 EDT 2005
WARNING: invalid linux_banner pointer: 756e694c
crash: invalid kernel virtual address: 756e694c  type: "accessible check"
crash: /usr/lib/debug/lib/modules/2.6.12-1.1398_FC4/vmlinux and /dev/crash do not match!

Usage:
  crash [-h [opt]][-v][-s][-i file][-d num] [-S] [mapfile] [namelist] [dumpfile]

Enter "crash -h" for details.
"crash" module loaded: [crash][3137][0]
/sbin/rmmod crash
[root@fed1tst1 ~]#

Expected Results:  Crash should have loaded normally

Additional info:
Comment 1 Dave Anderson 2005-09-07 08:45:13 EDT
Please download version 4.0-2.3 from here:

 http://people.redhat.com/anderson

You can either install the src.rpm, go to your relevant SPECS directory,
(typically /usr/src/redhat/SPECS), and do a "rpmbuild -ba crash.spec",
and then install the resultant binary rpm.

Alternatively, un-tar the tar.gz version, go into the resultant top-level 
directory, and enter "make".  The crash executable will be built in that same
directory.

Comment 2 Christian Iseli 2007-01-22 05:03:27 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Bug Zapper 2008-04-03 22:01:02 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 11:31:12 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.